h19685
s 00007/00007/00041
d D 1.3 83/02/02 20:03:19 tes 3 2
c incorporated put and get packed byte into anobuf structure
e
s 00001/00001/00047
d D 1.2 83/01/29 14:31:12 mjb 2 1
c made changes to anocom, included in gphcom
e
s 00048/00000/00000
d D 1.1 83/01/28 23:21:41 tes 1 0
c date and time created 83/01/28 23:21:41 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine shwtxt
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Display whatever annotation text is currently defined  #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer x, y
integer i, ksize
D 3
integer tmpx, tmpy
E 3
I 3
integer tmpx, tmpy, unpk2b
E 3

D 2
include(`anocom')
E 2
I 2
include(`gphcom')
E 2

i = 1
while (anobuf(i) != NUL) {
D 3
   x = anobuf(i+1)
   y = anobuf(i+2)
   cfont = anobuf(i+3)
   ccolor = anobuf(i+4)
   ksize = anobuf(i+5)
E 3
I 3
   x = unpk2b (anobuf(i+TEXTxITEMxX))
   y = unpk2b (anobuf(i+TEXTxITEMxY))
   cfont = anobuf(i+TEXTxITEMxFONT)
   ccolor = anobuf(i+TEXTxITEMxCOLOR)
   ksize = anobuf(i+TEXTxITEMxSIZE)
E 3
   call qstgsz (ksize, tmpx, tmpy)
D 3
   call qgtext (x, y, anobuf(i+6))
E 3
I 3
   call qgtext (x, y, anobuf(i+TEXTxITEMxSTRING))
E 3
   i = i + anobuf(i)
   }

# Establish hardware text size
ksize = 2
cfont = 1
call qstgsz (ksize, tmpx, tmpy)

return
end
E 1
